#
# spec file for package routed (Version 0.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -nkita -nkitb -nkitserv
# usedforbuild    -nkita -nkitb -nkitserv aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         routed
Provides:     nkitserv:/usr/sbin/routed
Copyright:    BSD
Group:        Networking/Daemons
Autoreqprov:  on
Version:      0.17
Release:      103
Summary:      Routing daemon which maintains routing tables
BuildRoot:    /var/tmp/%{name}-build
Url:          ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:       netkit-routed-%{version}.tar.bz2
Source1:      routed.init
Source2:      rc.config.routed
Patch:        netkit-routed-%{version}.dif

%description
The routed routing daemon handles incoming RIP traffic and broadcasts
outgoing RIP traffic about network traffic routes, in order to
maintain current routing tables.  These routing tables are essential
for a networked computer, so that it knows where packets need to be
sent.

SuSE series: n

%prep
%setup -n netkit-routed-%{version}
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/routed
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/
ln -sf ../../etc/init.d/routed $RPM_BUILD_ROOT/usr/sbin/rcrouted

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.routed
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.routed"
fi
sbin/insserv etc/init.d/routed

%postun
sbin/insserv etc/init.d

%files
%defattr(-,root,root)
%doc README ChangeLog 
%config /etc/init.d/routed
%doc %{_mandir}/man8/*
/usr/sbin/*
/var/adm/fillup-templates/rc.config.routed

%changelog -n routed
* Thu Jun 28 2001 - cihlar@suse.cz
- added split-aliases as provides
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- clean up spec file
* Tue Feb 13 2001 - kukuk@suse.de
- Initial version, split from nkitb
